import { expect, test } from 'bun:test';
import { FormManager } from './vue-form-manager';
test('useValidate', () => {
    const data = {
        name: 'John Doe',
        email: '',
    };
    const rules = {
        name: [
            {
                name: 'required',
                message: 'Name is required',
                test: (value) => !!value,
            },
        ],
        email: [
            {
                name: 'required',
                message: 'Email is required',
                test: (value) => !!value,
            },
            {
                name: 'email',
                message: 'Email is invalid',
                test: (value) => /.+@.+\..+/.test(value),
            },
        ],
    };
    const form = new FormManager().buildForm(data, rules);
    expect(form.$form.$invalid).toBe(false);
    expect(Object.keys(form.$fields).length).toBe(Object.keys(data).length);
});
//# sourceMappingURL=vue-forms-manager.test.js.map